Summary:		Graphical predictive text entry system
Name:			dasher
Version:		5.0.0
%define subrel 1.beta
Release:		%mkrel 0
License:		GPLv2+
Group:			Accessibility
URL:			http://www.inference.phy.cam.ac.uk/dasher/
# Source0:		https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
# Taken from https://git.gnome.org//browse/dasher
# Version is from the git Makefile there and not related to anything current
Source0:		dasher-5.0.0.alpha-3865.tar.bz2
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(expat)
BuildRequires:		pkgconfig(libwnck-1.0) >= 2.10.0
BuildRequires:		pkgconfig(gnome-speech-1.0)
BuildRequires:		at-spi-devel
BuildRequires:		scrollkeeper
BuildRequires:		gnome-common
BuildRequires:		gnome-doc-utils
BuildRequires:		perl(XML::Parser)
BuildRequires:		imagemagick
BuildRequires:		desktop-file-utils
BuildRequires:		intltool
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
Dasher is an information-efficient text-entry interface, driven by natural
continuous pointing gestures. Dasher is a competitive text-entry system
wherever a full-size keyboard cannot be used.

%prep
%setup -q -n dasher-5.0.0.alpha-3865

%build
%configure2_5x
%make_build

%install
rm -rf %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %make_install
rm -rf %buildroot/var/lib/scrollkeeper

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


desktop-file-install --vendor="" \
  --add-category="Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%_miconsdir
install -m 644 -D Data/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32 Data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 Data/%name.png %buildroot%_miconsdir/%name.png

%preun
%preun_uninstall_gconf_schemas dasher

%files -f %{name}.lang
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher
%_datadir/icons/hicolor/scalable/apps/dasher.svg
%_datadir/icons/hicolor/48x48/apps/dasher.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_mandir}/man1/*
%{_datadir}/omf/dasher/dasher-C.omf


%changelog
* Tue Jun 13 2017 shlomif <shlomif> 5.0.0-0.1.beta.mga6
+ Revision: 1107606
- fixes for build.
- Update to 5.0.0-beta.
- Spec cleanups: convert category, update URL, etc.
- Still crashes - see https://bugs.mageia.org/show_bug.cgi?id=17906 .

  + pterjan <pterjan>
    - BuildRequires gtk+-3.0

* Mon Feb 08 2016 umeabot <umeabot> 4.11-9.mga6
+ Revision: 947570
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.11-8.mga5
+ Revision: 748842
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11-7.mga5
+ Revision: 678673
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.11-6.mga4
+ Revision: 503797
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.11-5.mga3
+ Revision: 348620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 sander85 <sander85> 4.11-4.mga3
+ Revision: 279801
- Fix build

* Tue Sep 27 2011 ovitters <ovitters> 4.11-3.mga2
+ Revision: 149571
- clean spec file

* Thu Mar 17 2011 steletch <steletch> 4.11-2.mga1
+ Revision: 73448
- Clean spec file
- imported package dasher

